<div class="clone-row row-item<?php echo (isset($firstRow) && $firstRow) ? ' disabled-row' : ''; ?> custom-field-validation">
    <?php
        if (! isset($key)):
            $key = 0;
        endif;

        $deleteLink = '<div class="col-xs-12 col-md-2"><a href="#" class="delete-item btn btn-sm btn-danger"><i class="fa fa-times"></i> Delete Rule</a></div>';

        echo $this->Form->addField(
            'CustomFields.' . $parentKey . '.Field.validation.' . $key . '.rule',
            array(
                'type' => 'select',
                'class' => 'block-name',
                'after' => $deleteLink,
                'disabled' => (isset($firstRow) && $firstRow) ? true : false,
                'wrapInput' => 'col-xs-12 col-md-8'
            )
        );

        echo $this->Form->addField(
            'CustomFields.' . $parentKey . '.Field.validation.' . $key . '.values',
            array(
                'type' => 'string',
                'class' => 'block-name',
                'disabled' => (isset($firstRow) && $firstRow) ? true : false,
                'info' => 'Comma separate multiple values if the validation method requires more then one value (e.g. between)',
                'wrapInput' => 'col-xs-12 col-md-8'
            )
        );

        echo $this->Form->addField(
            'CustomFields.' . $parentKey . '.Field.validation.' . $key . '.message',
            array(
                'type' => 'string',
                'disabled' => (isset($firstRow) && $firstRow) ? true : false,
                'wrapInput' => 'col-xs-12 col-md-8'
            )
        );
    ?>
</div>
